<style scoped lang="less">

  @header-height: 84px;
  @footer-height: 84px;

  .layout {
    height: 100%;
    display: flex;
    flex-direction: column;
  }

  header,
  footer {
    padding: 0 30px;
  }

  header {
    height: @header-height;
    display: flex;
    align-items: center;

    .title {
      font-size: 16px;
      margin-left: 10px;
      font-weight: 700;
    }
  }

  main {
    height: 100%;
    flex-grow: 1;
  }

  footer {
    height: @footer-height;
    display: flex;
    justify-content: space-between;
    align-items: center;
    color: var(--text-muted);
    text-transform: uppercase;
    font-size: 11px;
  }

</style>

<template>

  <div class="layout">

    <header>
      <img src="~Assets/images/logo-text.svg" alt="logo with text" height="36"/>
    </header>

    <main>
        <router-view></router-view>
    </main>

    <footer>

      <span>version 1.0.0</span>

      <span>Powered by myapp</span>

    </footer>

  </div>

</template>

<script>

  import Logo from 'UI/components/logo/logo.vue'
  export default {
    name: 'default-layout',
    components: { Logo },
  }

</script>
